Package org.apache.sling.engine

# Class EngineConstants

java.lang.Object
org.apache.sling.engine.EngineConstants

public class EngineConstants extends Object
The `CoreConstants` interface provides some symbolic constants for well known constant strings in Sling. Even though these constants will never change, it is recommended that applications refer to the symbolic constants instead of code the strings themselves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FILTER_NAME`
Deprecated.
Register the filter with their respective type
`static final String`
`FILTER_ORDER`
Deprecated.
Use `"service.ranking"` (org.osgi.framework.Constants.SERVICE_RANKING) instead
`static final String`
`FILTER_SCOPE`
Deprecated.
Use `SLING_FILTER_SCOPE` instead
`static final String`
`FILTER_SCOPE_COMPONENT`
Filter scope value identifying a component level filter.
`static final String`
`FILTER_SCOPE_ERROR`
Filter scope value identifying an error level filter.
`static final String`
`FILTER_SCOPE_FORWARD`
Filter scope value identifying a forward level filter.
`static final String`
`FILTER_SCOPE_INCLUDE`
Filter scope value identifying an include level filter.
`static final String`
`FILTER_SCOPE_REQUEST`
Filter scope value identifying a request level filter.
`static final String`
`SESSION`
Deprecated.
as of bundle version 2.1
`static final String`
`SLING_CURRENT_SERVLET_NAME`
Deprecated.
Use `SlingConstants.SLING_CURRENT_SERVLET_NAME`
`static final String`
`SLING_FILTER_EXTENSIONS`
Set of extensions enabling a filter if contains request extension
`static final String`
`SLING_FILTER_METHODS`
Set of methods enabling a filter on contains request method
`static final String`
`SLING_FILTER_PATTERN`
Regular expression pattern for enabling a filter on a matching path This refers to both, the request path and the resolved resource path excluding selectors, extension and suffix.
`static final String`
`SLING_FILTER_REQUEST_PATTERN`
Regular expression pattern for enabling a filter on a matching request path This refers to the request path excluding selectors, extension and suffix.
`static final String`
`SLING_FILTER_RESOURCE_PATTERN`
Regular expression pattern for enabling a filter on a matching request path This refers to the resolved resource path excluding selectors, extension and suffix.
`static final String`
`SLING_FILTER_RESOURCETYPES`
Set of resource types enabling a filter if contains request resource type
`static final String`
`SLING_FILTER_SCOPE`
The name of the service registration property of a `java.servlet.Filter` service to be used as a filter by the `SlingRequestProcessor`.
`static final String`
`SLING_FILTER_SELECTORS`
Set of selectors enabling a filter if contains one or more request selectors
`static final String`
`SLING_FILTER_SUFFIX_PATTERN`
Regular expression pattern for enabling a filter on a matching request suffix
`static final String`
`SLING_HOME`
Deprecated.
Use `SlingSettingsService.SLING_HOME`
`static final String`
`SLING_HOME_URL`
Deprecated.
Use `SlingSettingsService.SLING_HOME_URL`
`static final String`
`SLING_SERLVET_NAME`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`EngineConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SLING_HOME

@Deprecated public static final String SLING_HOME
Deprecated.
Use `SlingSettingsService.SLING_HOME`
The name of the framework property defining the Sling home directory (value is "sling.home"). This is a Platform file system directory below which all runtime data, such as the Felix bundle archives, logfiles, the repository, etc., is located.

This property is available calling the `BundleContext.getProperty(String)` method.

See Also:
  - `SLING_HOME_URL`
  - Constant Field Values

### SLING_HOME_URL

@Deprecated public static final String SLING_HOME_URL
Deprecated.
Use `SlingSettingsService.SLING_HOME_URL`
The name of the framework property defining the Sling home directory as an URL (value is "sling.home.url").

The value of this property is assigned the value of `new File(${sling.home}).toURI().toString()` before resolving the property variables.

This property is available calling the `BundleContext.getProperty(String)` method.

See Also:
  - `SLING_HOME`
  - Constant Field Values

### SLING_CURRENT_SERVLET_NAME

@Deprecated public static final String SLING_CURRENT_SERVLET_NAME
Deprecated.
Use `SlingConstants.SLING_CURRENT_SERVLET_NAME`
The name of the request attribute providing the name of the currently executing servlet (value is "sling.core.current.servletName"). This attribute is set immediately before calling the `Servlet.service()` method and reset to any previously stored value after the service method returns.

See Also:
  - Constant Field Values

### SLING_SERLVET_NAME

@Deprecated public static final String SLING_SERLVET_NAME
Deprecated.
The name of the service registration property of a Servlet registered as a service containing the name of the servlet (value is "sling.core.servletName"). If this property is missing or empty, the `component.name` property or the `service.pid` is used. If none of the three properties is defined, the Servlet is ignored.

See Also:
  - Constant Field Values

### SESSION

@Deprecated public static final String SESSION
Deprecated.
as of bundle version 2.1
The `javax.jcr.Session` request attribute used to be set by the SlingAuthenticator upon successfull authentication. with the release of the Authentication Core 1.0.0 bundle, this request attribute is not set any more.

Applications requiring access to the JCR Session must be modified to get the Resource Resolver from the Sling request ( `SlingHttpServletRequest.getResourceResolver()`) and adapt it to the JCR Session.

See Also:
  - Constant Field Values

### FILTER_NAME

@Deprecated public static final String FILTER_NAME
Deprecated.
Register the filter with their respective type
The name of the service to be used for registering filters with the `SlingRequestProcessor`.

Since:
  2.1, Sling Engine 2.2
See Also:
  - Constant Field Values

### FILTER_SCOPE

@Deprecated public static final String FILTER_SCOPE
Deprecated.
Use `SLING_FILTER_SCOPE` instead
The name of the service registration property of a `java.servlet.Filter` service to be used as a filter by the `SlingRequestProcessor`.

The specification of the `filter.scope` service registration property is required for a `javax.servlet.Filter` service to be used as a filter by the Sling Engine.

The `filter.scope` registration property is expected to be a scalar String, an array of Strings or a Vector of Strings. Case of the value is ignored.

Since:
  2.1, Sling Engine 2.2
See Also:
  - `FILTER_SCOPE_COMPONENT`
  - `FILTER_SCOPE_ERROR`
  - `FILTER_SCOPE_FORWARD`
  - `FILTER_SCOPE_INCLUDE`
  - `FILTER_SCOPE_REQUEST`
  - Constant Field Values

### SLING_FILTER_SCOPE

public static final String SLING_FILTER_SCOPE
The name of the service registration property of a `java.servlet.Filter` service to be used as a filter by the `SlingRequestProcessor`.

The specification of the `sling.filter.scope` service registration property is required for a `javax.servlet.Filter` service to be used as a filter by the Sling Engine.

The `sling.filter.scope` registration property is expected to be a scalar String, an array of Strings or a Vector of Strings. Case of the value is ignored.

Since:
  2.1, Sling Engine 2.2
See Also:
  - `FILTER_SCOPE_COMPONENT`
  - `FILTER_SCOPE_ERROR`
  - `FILTER_SCOPE_FORWARD`
  - `FILTER_SCOPE_INCLUDE`
  - `FILTER_SCOPE_REQUEST`
  - Constant Field Values

### SLING_FILTER_PATTERN

public static final String SLING_FILTER_PATTERN
Regular expression pattern for enabling a filter on a matching path This refers to both, the request path and the resolved resource path excluding selectors, extension and suffix.

See Also:
  - Constant Field Values

### SLING_FILTER_RESOURCE_PATTERN

public static final String SLING_FILTER_RESOURCE_PATTERN
Regular expression pattern for enabling a filter on a matching request path This refers to the resolved resource path excluding selectors, extension and suffix.

Since:
  2.4.0, Sling Engine 2.7.0
See Also:
  - Constant Field Values

### SLING_FILTER_REQUEST_PATTERN

public static final String SLING_FILTER_REQUEST_PATTERN
Regular expression pattern for enabling a filter on a matching request path This refers to the request path excluding selectors, extension and suffix.

Since:
  2.4.0, Sling Engine 2.7.0
See Also:
  - Constant Field Values

### SLING_FILTER_SUFFIX_PATTERN

public static final String SLING_FILTER_SUFFIX_PATTERN
Regular expression pattern for enabling a filter on a matching request suffix

Since:
  Sling Engine 2.7
See Also:
  - Constant Field Values

### SLING_FILTER_SELECTORS

public static final String SLING_FILTER_SELECTORS
Set of selectors enabling a filter if contains one or more request selectors

Since:
  Sling Engine 2.7
See Also:
  - Constant Field Values

### SLING_FILTER_METHODS

public static final String SLING_FILTER_METHODS
Set of methods enabling a filter on contains request method

Since:
  Sling Engine 2.7
See Also:
  - Constant Field Values

### SLING_FILTER_RESOURCETYPES

public static final String SLING_FILTER_RESOURCETYPES
Set of resource types enabling a filter if contains request resource type

Since:
  Sling Engine 2.7
See Also:
  - Constant Field Values

### SLING_FILTER_EXTENSIONS

public static final String SLING_FILTER_EXTENSIONS
Set of extensions enabling a filter if contains request extension

Since:
  Sling Engine 2.7
See Also:
  - Constant Field Values

### FILTER_SCOPE_COMPONENT

public static final String FILTER_SCOPE_COMPONENT
Filter scope value identifying a component level filter.

Component level filters are called once at the beginning of each request (after the `FILTER_SCOPE_REQUEST` filters) and for each resource being included or forwarded. The order of calling the filters is defined by the `service.ranking` (or `FILTER_ORDER`) property and the service registration ID.

Since:
  2.1, Sling Engine 2.2
See Also:
  - `SLING_FILTER_SCOPE`
  - Constant Field Values

### FILTER_SCOPE_ERROR

public static final String FILTER_SCOPE_ERROR
Filter scope value identifying an error level filter.

Error level filters are called before calling the `ErrorHandler` due to either a `HttpServletResponse.sendError` call or due to an uncaught `Throwable`. The order of calling the filters is defined by the `service.ranking` (or `FILTER_ORDER`) property and the service registration ID.

Since:
  2.1, Sling Engine 2.2
See Also:
  - `FILTER_SCOPE`
  - Constant Field Values

### FILTER_SCOPE_INCLUDE

public static final String FILTER_SCOPE_INCLUDE
Filter scope value identifying an include level filter.

Include level filters are called before the script handling an included resource is called. A resource is considered included if it rendered as a result of calling `RequestDispatcher.include`. This may also be induced by any JSP tags causing the `RequestDispatcher.include` method being called, e.g. `<sling:include>`. The order of calling the filters is defined by the `service.ranking` (or `FILTER_ORDER`) property and the service registration ID.

Since:
  2.1, Sling Engine 2.2
See Also:
  - `FILTER_SCOPE`
  - Constant Field Values

### FILTER_SCOPE_FORWARD

public static final String FILTER_SCOPE_FORWARD
Filter scope value identifying a forward level filter.

Forward level filters are called before the script handling a forwarded resource is called. A resource is considered forwarded if it rendered as a result of calling `RequestDispatcher.forward`. This may also be induced by any JSP tags causing the `RequestDispatcher.forward` method being called, e.g. `<sling:forward>`. The order of calling the filters is defined by the `service.ranking` (or `FILTER_ORDER`) property and the service registration ID.

Since:
  2.1, Sling Engine 2.2
See Also:
  - `FILTER_SCOPE`
  - Constant Field Values

### FILTER_SCOPE_REQUEST

public static final String FILTER_SCOPE_REQUEST
Filter scope value identifying a request level filter.

Request level filters are called once at the beginning of each request. The order of calling the filters is defined by the `service.ranking` (or `FILTER_ORDER`) property and the service registration ID.

Since:
  2.1, Sling Engine 2.2
See Also:
  - `FILTER_SCOPE`
  - Constant Field Values

### FILTER_ORDER

@Deprecated public static final String FILTER_ORDER
Deprecated.
Use `"service.ranking"` (org.osgi.framework.Constants.SERVICE_RANKING) instead
The name of the service registration property previously used to place an order amongst filters. Starting with the Sling Engine 2.2, filters should be registered with a standard `service.ranking` service property to implement filter ordering.

If a service is registered with both a `service.ranking` and a `filter.order` property, the `service.ranking` property is used for ordering. If only a `filter.order` property is used it is currently still used.

Since:
  2.1, Sling Engine 2.2
See Also:
  - Constant Field Values

## Constructor Details

### EngineConstants

public EngineConstants()